cURL
curl --request POST \ --url https://api.openfunnel.dev/api/v1/signal/get-signal-list \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <x-api-key>' \ --header 'X-User-ID: <x-user-id>' \ --data ' { "filters": { "signal_types": [ "hiring" ] }, "pagination": { "limit": 50, "offset": 0 } } '
{ "signals": [ { "signal_id": 123, "signal_name": "<string>", "signal_type": "<string>", "status": "<string>", "repeat": true, "icp": { "id": 123, "name": "<string>", "target_roles": [ "<string>" ], "min_employee": 123, "max_employee": 123, "min_funding": "<string>", "max_funding": "<string>", "location": [ "<string>" ], "sub_locations": [ "<string>" ], "people_locations": [ "<string>" ], "people_sub_locations": [ "<string>" ] } } ], "total_count": 123, "pagination": { "limit": 123, "offset": 123, "total_count": 123, "has_more": true } }
List signals with optional filtering and pagination.
Supported filters.signal_types values:
filters.signal_types
hiring
socials
linkedin_engagement
job_change
deep-company-search
technography
Pagination uses limit and offset from the request body.
limit
offset
Optional filters to apply when querying signals. All filters are combined with AND logic.
Show child attributes
Pagination parameters for the request
Successful Response
Paginated response for signal list.
Pagination metadata (included when pagination is requested)